using System;
using System.Configuration;
using System.Data.OleDb;
using System.Data;
namespace baoge.Admin
{
	/// <summary>
	/// Basic_class 的摘要说明。
	/// </summary>
	public class Basic_class : System.Web.UI.Page
	{
		protected OleDbConnection Con=Basic_class.CreateConnection();
		protected OleDbCommand mycmd,cmd;
		protected OleDbDataReader dr;
		protected OleDbDataAdapter Adp,Cmd;
		protected DataSet ds;
		public Basic_class()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}
		public static OleDbConnection CreateConnection()
		{
			String ConnStr;
			ConnStr = ConfigurationSettings.AppSettings["dbPath"];
			return new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source="+System.Web.HttpContext.Current.Server.MapPath(ConnStr));
		}
	}
}
